# Generated by Django 5.0.6 on 2024-09-11 14:56

from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="DBActionMove",
            fields=[
                (
                    "id",
                    models.SmallAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        db_comment="Name of the action move", max_length=5, unique=True
                    ),
                ),
                (
                    "symbol",
                    models.CharField(
                        db_comment="Symbol of the action move",
                        max_length=1,
                        unique=True,
                    ),
                ),
                (
                    "verb",
                    models.CharField(
                        db_comment="Verb of the action move", max_length=6, unique=True
                    ),
                ),
                (
                    "is_call_move",
                    models.BooleanField(
                        db_comment="True if the action move is a call move",
                        default=False,
                    ),
                ),
                (
                    "is_bet_move",
                    models.BooleanField(
                        db_comment="True if the action move is a bet move",
                        default=False,
                    ),
                ),
                (
                    "is_vpip_move",
                    models.BooleanField(
                        db_comment="True if the action move is a VPIP move",
                        default=False,
                    ),
                ),
            ],
            options={
                "verbose_name": "Action Move",
                "verbose_name_plural": "Action Moves",
                "db_table": "action_moves",
            },
        ),
        migrations.CreateModel(
            name="DBActionsSequence",
            fields=[
                (
                    "id",
                    models.SmallAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("symbol", models.CharField(max_length=10, unique=True)),
            ],
            options={
                "verbose_name": "Actions Sequence",
                "verbose_name_plural": "Actions Sequences",
                "db_table": "actions_sequences",
            },
        ),
        migrations.CreateModel(
            name="DBBlindType",
            fields=[
                (
                    "id",
                    models.SmallAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=16, unique=True)),
                ("symbol", models.CharField(max_length=2, unique=True)),
            ],
            options={
                "verbose_name": "Blind Type",
                "verbose_name_plural": "Blind Types",
                "db_table": "blind_types",
            },
        ),
        migrations.CreateModel(
            name="DBStreet",
            fields=[
                (
                    "id",
                    models.SmallAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=10, unique=True)),
                ("short_name", models.CharField(max_length=2, unique=True)),
                ("parsing_name", models.CharField(max_length=10, unique=True)),
                ("symbol", models.CharField(max_length=2, unique=True)),
                ("is_preflop", models.BooleanField(default=False)),
            ],
            options={
                "verbose_name": "Street",
                "verbose_name_plural": "Streets",
                "db_table": "streets",
            },
        ),
        migrations.AddConstraint(
            model_name="dbactionmove",
            constraint=models.UniqueConstraint(
                fields=("name",), name="unique_action_move"
            ),
        ),
        migrations.AddConstraint(
            model_name="dbactionssequence",
            constraint=models.UniqueConstraint(
                fields=("symbol",), name="unique_actions_sequence"
            ),
        ),
        migrations.AddConstraint(
            model_name="dbblindtype",
            constraint=models.UniqueConstraint(
                fields=("name",), name="unique_blind_type"
            ),
        ),
        migrations.AddConstraint(
            model_name="dbstreet",
            constraint=models.UniqueConstraint(fields=("name",), name="unique_street"),
        ),
    ]
