# Generated by Django 5.0.6 on 2024-09-11 14:56

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="DBCard",
            fields=[
                (
                    "id",
                    models.SmallAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=20, unique=True)),
                ("short_name", models.CharField(max_length=2, unique=True)),
                ("symbol", models.CharField(max_length=2, unique=True)),
                ("is_broadway", models.BooleanField(default=False)),
                ("is_face", models.BooleanField(default=False)),
            ],
            options={
                "verbose_name": "Card",
                "verbose_name_plural": "Cards",
                "db_table": "cards",
            },
        ),
        migrations.CreateModel(
            name="DBHand",
            fields=[
                (
                    "id",
                    models.SmallAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("short_name", models.CharField(max_length=3, unique=True)),
                ("is_suited", models.BooleanField(default=False)),
                ("is_offsuit", models.BooleanField(default=True)),
                ("is_paired", models.BooleanField(default=False)),
                ("is_connector", models.BooleanField(default=False)),
                ("is_one_gapper", models.BooleanField(default=False)),
                ("is_two_gapper", models.BooleanField(default=False)),
                ("is_broadway", models.BooleanField(default=False)),
                ("is_face", models.BooleanField(default=False)),
                ("is_suited_connector", models.BooleanField(default=False)),
                ("rank_difference", models.IntegerField(default=0)),
            ],
            options={
                "verbose_name": "Hand",
                "verbose_name_plural": "Hands",
                "db_table": "hands",
            },
        ),
        migrations.CreateModel(
            name="DBRank",
            fields=[
                (
                    "id",
                    models.SmallAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=6, unique=True)),
                ("symbol", models.CharField(max_length=1, unique=True)),
                ("short_name", models.CharField(max_length=1, unique=True)),
                ("is_broadway", models.BooleanField(default=False)),
                ("is_face", models.BooleanField(default=False)),
            ],
            options={
                "verbose_name": "Rank",
                "verbose_name_plural": "Ranks",
                "db_table": "ranks",
            },
        ),
        migrations.CreateModel(
            name="DBShape",
            fields=[
                (
                    "id",
                    models.SmallAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=8, unique=True)),
                ("short_name", models.CharField(max_length=2, unique=True)),
                ("symbol", models.CharField(max_length=2, unique=True)),
            ],
            options={
                "verbose_name": "Shape",
                "verbose_name_plural": "Shapes",
                "db_table": "shapes",
            },
        ),
        migrations.CreateModel(
            name="DBSuit",
            fields=[
                (
                    "id",
                    models.SmallAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=8, unique=True)),
                ("symbol", models.CharField(max_length=1, unique=True)),
                ("short_name", models.CharField(max_length=1, unique=True)),
            ],
            options={
                "verbose_name": "Suit",
                "verbose_name_plural": "Suits",
                "db_table": "suits",
            },
        ),
        migrations.CreateModel(
            name="DBFlop",
            fields=[
                (
                    "id",
                    models.SmallAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("short_name", models.CharField(max_length=6, unique=True)),
                ("symbol", models.CharField(max_length=6, unique=True)),
                ("is_rainbow", models.BooleanField(default=False)),
                ("has_flush_draw", models.BooleanField(default=False)),
                ("is_monotone", models.BooleanField(default=False)),
                ("is_triplet", models.BooleanField(default=False)),
                ("is_paired", models.BooleanField(default=False)),
                ("is_sequential", models.BooleanField(default=False)),
                ("has_straights", models.BooleanField(default=False)),
                ("has_straight_draw", models.BooleanField(default=False)),
                ("has_gutshot", models.BooleanField(default=False)),
                ("min_distance", models.IntegerField(default=0)),
                ("max_distance", models.IntegerField(default=0)),
                (
                    "first_card",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="first_flop_card",
                        to="cards.dbcard",
                    ),
                ),
                (
                    "second_card",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="second_flop_card",
                        to="cards.dbcard",
                    ),
                ),
                (
                    "third_card",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="third_flop_card",
                        to="cards.dbcard",
                    ),
                ),
            ],
            options={
                "verbose_name": "Flop",
                "verbose_name_plural": "Flops",
                "db_table": "flops",
            },
        ),
        migrations.CreateModel(
            name="DBCombo",
            fields=[
                (
                    "id",
                    models.SmallAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("short_name", models.CharField(max_length=4, unique=True)),
                ("symbol", models.CharField(max_length=4, unique=True)),
                (
                    "first_card",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="first_card",
                        to="cards.dbcard",
                    ),
                ),
                (
                    "second_card",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="second_card",
                        to="cards.dbcard",
                    ),
                ),
                (
                    "hand",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="cards.dbhand"
                    ),
                ),
            ],
            options={
                "verbose_name": "Combo",
                "verbose_name_plural": "Combos",
                "db_table": "combos",
            },
        ),
        migrations.AddConstraint(
            model_name="dbrank",
            constraint=models.UniqueConstraint(fields=("name",), name="unique_rank"),
        ),
        migrations.AddField(
            model_name="dbhand",
            name="first_rank",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="first_rank",
                to="cards.dbrank",
            ),
        ),
        migrations.AddField(
            model_name="dbhand",
            name="second_rank",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="second_rank",
                to="cards.dbrank",
            ),
        ),
        migrations.AddField(
            model_name="dbcard",
            name="rank",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="cards.dbrank"
            ),
        ),
        migrations.AddConstraint(
            model_name="dbshape",
            constraint=models.UniqueConstraint(
                fields=("short_name",), name="unique_shape"
            ),
        ),
        migrations.AddField(
            model_name="dbhand",
            name="shape",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="cards.dbshape"
            ),
        ),
        migrations.AddConstraint(
            model_name="dbsuit",
            constraint=models.UniqueConstraint(fields=("name",), name="unique_suit"),
        ),
        migrations.AddField(
            model_name="dbcard",
            name="suit",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="cards.dbsuit"
            ),
        ),
        migrations.AddConstraint(
            model_name="dbflop",
            constraint=models.UniqueConstraint(
                fields=("short_name",), name="unique_flop"
            ),
        ),
        migrations.AddConstraint(
            model_name="dbcombo",
            constraint=models.UniqueConstraint(
                fields=("short_name",), name="unique_combo"
            ),
        ),
        migrations.AddConstraint(
            model_name="dbhand",
            constraint=models.UniqueConstraint(
                fields=("short_name",), name="unique_hand"
            ),
        ),
        migrations.AddConstraint(
            model_name="dbcard",
            constraint=models.UniqueConstraint(
                fields=("rank", "suit"), name="unique_card"
            ),
        ),
    ]
