# Generated by Django 5.0.6 on 2024-09-11 14:56

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("actions", "0001_initial"),
        ("histories", "0001_initial"),
        ("players", "0001_initial"),
    ]

    operations = [
        migrations.AddField(
            model_name="dbplayerhandstats",
            name="player",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="players.dbplayer"
            ),
        ),
        migrations.AddField(
            model_name="dbpreflophandstats",
            name="actions_sequence",
            field=models.ForeignKey(
                db_column="actions_sequence",
                db_comment="The sequence of actions the player made ",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="preflop_actions_sequence",
                to="actions.dbactionssequence",
                verbose_name="actions_sequence",
            ),
        ),
        migrations.AddField(
            model_name="dbpreflophandstats",
            name="move_facing_2bet",
            field=models.ForeignKey(
                db_column="move_facing_2bet",
                db_comment="The move the player did when facing a 2bet",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="preflop_move_facing_2bet",
                to="actions.dbactionmove",
                verbose_name="move_facing_2bet",
            ),
        ),
        migrations.AddField(
            model_name="dbpreflophandstats",
            name="move_facing_3bet",
            field=models.ForeignKey(
                db_column="move_facing_3bet",
                db_comment="The move the player did when facing a 3bet",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="preflop_move_facing_3bet",
                to="actions.dbactionmove",
                verbose_name="move_facing_3bet",
            ),
        ),
        migrations.AddField(
            model_name="dbpreflophandstats",
            name="move_facing_4bet",
            field=models.ForeignKey(
                db_column="move_facing_4bet",
                db_comment="The move the player did when facing a 4bet",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="preflop_move_facing_4bet",
                to="actions.dbactionmove",
                verbose_name="move_facing_4bet",
            ),
        ),
        migrations.AddField(
            model_name="dbpreflophandstats",
            name="move_facing_squeeze",
            field=models.ForeignKey(
                db_column="move_facing_squeeze",
                db_comment="The move the player did when facing a squeeze",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="preflop_move_facing_squeeze",
                to="actions.dbactionmove",
                verbose_name="move_facing_squeeze",
            ),
        ),
        migrations.AddField(
            model_name="dbpreflophandstats",
            name="move_facing_steal_attempt",
            field=models.ForeignKey(
                db_column="move_facing_steal_attempt",
                db_comment="The move the player did when facing a steal attempt",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="preflop_move_facing_steal_attempt",
                to="actions.dbactionmove",
                verbose_name="move_facing_steal_attempt",
            ),
        ),
        migrations.AddField(
            model_name="dbplayerhandstats",
            name="preflop_stats",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="preflop_stats",
                to="histories.dbpreflophandstats",
            ),
        ),
        migrations.AddField(
            model_name="dbriverhandstats",
            name="actions_sequence",
            field=models.ForeignKey(
                db_column="actions_sequence",
                db_comment="The sequence of actions the player made ",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="river_actions_sequence",
                to="actions.dbactionssequence",
                verbose_name="actions_sequence",
            ),
        ),
        migrations.AddField(
            model_name="dbriverhandstats",
            name="move_facing_1bet",
            field=models.ForeignKey(
                db_column="move_facing_1bet",
                db_comment="The move the player did when facing the street bet",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="river_move_facing_1bet",
                to="actions.dbactionmove",
                verbose_name="move_facing_1bet",
            ),
        ),
        migrations.AddField(
            model_name="dbriverhandstats",
            name="move_facing_2bet",
            field=models.ForeignKey(
                db_column="move_facing_2bet",
                db_comment="The move the player did when facing the street 2bet",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="river_move_facing_2bet",
                to="actions.dbactionmove",
                verbose_name="move_facing_2bet",
            ),
        ),
        migrations.AddField(
            model_name="dbriverhandstats",
            name="move_facing_3bet",
            field=models.ForeignKey(
                db_column="move_facing_3bet",
                db_comment="The move the player did when facing the street 3bet",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="river_move_facing_3bet",
                to="actions.dbactionmove",
                verbose_name="move_facing_3bet",
            ),
        ),
        migrations.AddField(
            model_name="dbriverhandstats",
            name="move_facing_4bet",
            field=models.ForeignKey(
                db_column="move_facing_4bet",
                db_comment="The move the player did when facing the street 4bet",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="river_move_facing_4bet",
                to="actions.dbactionmove",
                verbose_name="move_facing_4bet",
            ),
        ),
        migrations.AddField(
            model_name="dbriverhandstats",
            name="move_facing_cbet",
            field=models.ForeignKey(
                db_column="move_facing_cbet",
                db_comment="The move the player did when facing the street cbet",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="river_move_facing_cbet",
                to="actions.dbactionmove",
                verbose_name="move_facing_cbet",
            ),
        ),
        migrations.AddField(
            model_name="dbriverhandstats",
            name="move_facing_donk_bet",
            field=models.ForeignKey(
                db_column="move_facing_donk_bet",
                db_comment="The move the player did when facing the street donk bet",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="river_move_facing_donk_bet",
                to="actions.dbactionmove",
                verbose_name="move_facing_donk_bet",
            ),
        ),
        migrations.AddField(
            model_name="dbplayerhandstats",
            name="river_stats",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="river_stats",
                to="histories.dbriverhandstats",
            ),
        ),
        migrations.AddField(
            model_name="dbturnhandstats",
            name="actions_sequence",
            field=models.ForeignKey(
                db_column="actions_sequence",
                db_comment="The sequence of actions the player made ",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="turn_actions_sequence",
                to="actions.dbactionssequence",
                verbose_name="actions_sequence",
            ),
        ),
        migrations.AddField(
            model_name="dbturnhandstats",
            name="move_facing_1bet",
            field=models.ForeignKey(
                db_column="move_facing_1bet",
                db_comment="The move the player did when facing the street bet",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="turn_move_facing_1bet",
                to="actions.dbactionmove",
                verbose_name="move_facing_1bet",
            ),
        ),
        migrations.AddField(
            model_name="dbturnhandstats",
            name="move_facing_2bet",
            field=models.ForeignKey(
                db_column="move_facing_2bet",
                db_comment="The move the player did when facing the street 2bet",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="turn_move_facing_2bet",
                to="actions.dbactionmove",
                verbose_name="move_facing_2bet",
            ),
        ),
        migrations.AddField(
            model_name="dbturnhandstats",
            name="move_facing_3bet",
            field=models.ForeignKey(
                db_column="move_facing_3bet",
                db_comment="The move the player did when facing the street 3bet",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="turn_move_facing_3bet",
                to="actions.dbactionmove",
                verbose_name="move_facing_3bet",
            ),
        ),
        migrations.AddField(
            model_name="dbturnhandstats",
            name="move_facing_4bet",
            field=models.ForeignKey(
                db_column="move_facing_4bet",
                db_comment="The move the player did when facing the street 4bet",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="turn_move_facing_4bet",
                to="actions.dbactionmove",
                verbose_name="move_facing_4bet",
            ),
        ),
        migrations.AddField(
            model_name="dbturnhandstats",
            name="move_facing_cbet",
            field=models.ForeignKey(
                db_column="move_facing_cbet",
                db_comment="The move the player did when facing the street cbet",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="turn_move_facing_cbet",
                to="actions.dbactionmove",
                verbose_name="move_facing_cbet",
            ),
        ),
        migrations.AddField(
            model_name="dbturnhandstats",
            name="move_facing_donk_bet",
            field=models.ForeignKey(
                db_column="move_facing_donk_bet",
                db_comment="The move the player did when facing the street donk bet",
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                related_name="turn_move_facing_donk_bet",
                to="actions.dbactionmove",
                verbose_name="move_facing_donk_bet",
            ),
        ),
        migrations.AddField(
            model_name="dbplayerhandstats",
            name="turn_stats",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="turn_stats",
                to="histories.dbturnhandstats",
            ),
        ),
        migrations.AlterUniqueTogether(
            name="dbplayerhandstats",
            unique_together={("hand_history", "player")},
        ),
    ]
