# Generated by Django 5.0.6 on 2024-09-11 14:56

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("cards", "0001_initial"),
        ("histories", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="DBPlayer",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=64, unique=True)),
            ],
            options={
                "verbose_name": "Player",
                "verbose_name_plural": "Players",
                "db_table": "players",
                "ordering": ["name"],
            },
        ),
        migrations.CreateModel(
            name="DBPosition",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=10, unique=True)),
                ("short_name", models.CharField(max_length=4, unique=True)),
                ("symbol", models.CharField(max_length=4, unique=True)),
                ("is_early", models.BooleanField(default=False)),
                ("is_middle", models.BooleanField(default=False)),
                ("is_late", models.BooleanField(default=False)),
                ("is_blind", models.BooleanField(default=False)),
                ("preflop_order", models.PositiveSmallIntegerField(unique=True)),
                ("postflop_order", models.PositiveSmallIntegerField(unique=True)),
            ],
            options={
                "verbose_name": "Position",
                "verbose_name_plural": "Positions",
                "db_table": "positions",
            },
        ),
        migrations.CreateModel(
            name="DBPositionsMap",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("cnt_players", models.PositiveSmallIntegerField()),
                ("has_sb", models.BooleanField()),
                ("has_bb", models.BooleanField()),
                ("has_btn", models.BooleanField()),
            ],
            options={
                "verbose_name": "Positions Map",
                "verbose_name_plural": "Positions Maps",
                "db_table": "positions_maps",
            },
        ),
        migrations.CreateModel(
            name="DBTablePlayer",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("seat", models.PositiveSmallIntegerField()),
                (
                    "init_stack",
                    models.DecimalField(decimal_places=2, default=0.0, max_digits=12),
                ),
                (
                    "bounty",
                    models.DecimalField(decimal_places=2, default=0.0, max_digits=9),
                ),
                ("is_hero", models.BooleanField(default=False)),
            ],
            options={
                "db_table": "table_players",
                "ordering": ["hand_history", "seat"],
            },
        ),
        migrations.CreateModel(
            name="DBPlayerStats",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("cnt_hands_played", models.PositiveIntegerField(default=0)),
                ("cnt_vpip", models.PositiveIntegerField(default=0)),
                ("cnt_pfr", models.PositiveIntegerField(default=0)),
                (
                    "vpip",
                    models.DecimalField(decimal_places=4, default=0, max_digits=5),
                ),
                ("pfr", models.DecimalField(decimal_places=4, default=0, max_digits=5)),
                (
                    "player",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="players.dbplayer",
                    ),
                ),
            ],
            options={
                "db_table": "player_stats",
                "ordering": ["player"],
            },
        ),
        migrations.AddConstraint(
            model_name="dbposition",
            constraint=models.UniqueConstraint(
                fields=("name",), name="unique_position"
            ),
        ),
        migrations.AddField(
            model_name="dbpositionsmap",
            name="positions",
            field=models.ManyToManyField(to="players.dbposition"),
        ),
        migrations.AddField(
            model_name="dbtableplayer",
            name="combo",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                to="cards.dbcombo",
            ),
        ),
        migrations.AddField(
            model_name="dbtableplayer",
            name="hand_history",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="histories.dbhandhistory",
            ),
        ),
        migrations.AddField(
            model_name="dbtableplayer",
            name="player",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="players.dbplayer"
            ),
        ),
        migrations.AddField(
            model_name="dbtableplayer",
            name="position",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.DO_NOTHING,
                to="players.dbposition",
            ),
        ),
        migrations.AlterUniqueTogether(
            name="dbplayerstats",
            unique_together={("player",)},
        ),
        migrations.AddConstraint(
            model_name="dbpositionsmap",
            constraint=models.UniqueConstraint(
                fields=("cnt_players", "has_sb", "has_bb", "has_btn"),
                name="unique_positions_map",
            ),
        ),
        migrations.AlterUniqueTogether(
            name="dbtableplayer",
            unique_together={("hand_history", "player")},
        ),
    ]
